body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f4;
    margin: 0;
    padding: 20px;
    display: flex;
    justify-content: center;
}

main {
    max-width: 1200px;
    width: 100%;
}

#last-update {
    text-align: center;
    margin-bottom: 2rem;
    font-size: 1rem;
    font-weight: 600;
}

.container {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
    margin-top: 2rem;
}

.tile {
    background-color: #fff;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    flex: 1 1 calc(33.333% - 20px);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-width: 260px;
    max-width: 380px;
}

.summary-container {
    width: 100%;
    display: flex;
    justify-content: center;
}

.people-on-site-tile {
    max-width: 500px;
    flex: 1 1 100%;
    margin-bottom: 20px;
}

.tile-header {
    background-color: #00bfa5; /* DomyÅ›lny kolor dla innych kafelkÃ³w */
    border-radius: 5px 5px 0 0;
    color: white;
    padding: 10px;
    text-align: center;
}

.people-on-site-tile .tile-header {
    background-color: #3a3a3a; /* Ciemny szary dla kafelka z liczbÄ… osÃ³b na obiekcie */
}

.tile-content {
    display: flex;
    justify-content: space-between;
    margin: 1rem 0;
    padding: 1rem;
    max-width: 100%;
    margin: auto;
    gap: 2rem;
    flex-wrap: wrap;
}

.tile-content h3, .tile-footer h3 {
    margin: 0;
    font-size: 2.65rem;
}

.tile-content p, .tile-footer p {
    margin: 0;
    font-size: 14px;
    color: #666;
}

.tile-footer {
    display: flex;
    justify-content: space-between;
    padding-top: 10px;
    border-top: 1px solid #ddd;
}

.tile-content div {
    display: grid;
    justify-content: center;
    align-items: center;
    text-align: center;
    gap: 6px;
    width: 100%;
}
.tile-content div:not([class]) {
    width: calc(50% - 2rem);
}
.summary-container .tile-content div {
    width: 100%;
}
.tile-header h3 {
    font-size: 1.25rem;
    margin: 1rem 0;
    text-transform: uppercase;
    letter-spacing: 1px;
}

.tile[data-line-name="Wejścia"] .tile-header {
    background-color: #4CAF50; /* Zielony */
}

.tile[data-line-name="Wyjścia"] .tile-header {
    background-color: #FF5722; /* PomaraÅ„czowy */
}

.tile[data-line-name="Technicy"] .tile-header {
    background-color: #607D8B; /* Szary */
}

.tile[data-line-name="Biuro"] .tile-header {
    background-color: #FFC107; /* Å»Ã³Å‚ty */
}
